(define-module (ui mass-management export-firewall ajax)
    :use-module (alterator ajax)
    :use-module (alterator woo)
	:use-module (ice-9 regex)
    :export (ui))

(define (ui)
  (let* ((table (form-value "table"))
		 (file (regexp-substitute #f (string-match "/" table) 'pre "-" 'post)))
	(catch/message
	  (lambda()
		(ui-file "firewall_rules" (woo-read-first "/mass-management/export_firewall"
												  'profile (form-value "profile")
												  'table table)
				 "text/plain"
				 file)))))
