(define-module (ui mass-management task-details ajax)
			   :use-module (alterator ajax)
			   :use-module (alterator woo)
			   :export (init))


(define (ui-init task try)
  (form-update-value "task_no" task)
  (form-update-value "try_no" try)
  (catch/message
	(lambda()
	  (form-update-enum "hosts_details" (woo-list "/mass-management/hosts_details"
												  'task task
												  'try try
												  'language (form-value "language"))))))


(define (show-actions)
  (catch/message
	(lambda()
	  (form-update-enum "actions_details" (woo-list "/mass-management/actions_details"
												  'task (form-value "task")
												  'try (form-value "try")
												  'host (form-value "hosts_details")
												  'language (form-value "language"))))))

(define (go-back)
  (form-replace "/mass-management" 'task (form-value "task") 'try (form-value "try")))

(define (init)
  (ui-init (form-value "task") (form-value "try"))
  (form-bind "hosts_details" "change" show-actions)
  (form-bind "back_button" "click" go-back))
